> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Exportanforderungen für Transaction-Schritte auflisten



## OpenAPI

````yaml /de/openapi-reporting.json get /api/reporting/v2/exports/transaction-steps
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.3.2'
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - description: Produktionsumgebung USA
    url: https://vantage-us.abbyy.com
  - description: Produktionsumgebung Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktionsumgebung Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps:
    get:
      tags:
        - Report
      summary: Exportanforderungen für Transaction-Schritte auflisten
      operationId: ListExportRequests
      parameters:
        - in: query
          name: statusFilter
          schema:
            items:
              type: string
            type: array
        - in: query
          name: createdFrom
          schema:
            type: string
        - in: query
          name: createdTo
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListReportRequestsResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ListReportRequestsResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/ListReportRequestsResponse'
          description: OK
components:
  schemas:
    ListReportRequestsResponse:
      additionalProperties: false
      properties:
        requests:
          description: >-
            Details zu den vom aktuellen Benutzer erstellten verfügbaren
            Anfragen
          items:
            $ref: '#/components/schemas/ListReportRequestsResponseReportRequestDto'
          nullable: true
          type: array
      type: object
    ListReportRequestsResponseReportRequestDto:
      additionalProperties: false
      properties:
        completedUtc:
          description: >-
            Datum und Uhrzeit (UTC), zu der die Verarbeitung der Anfrage
            abgeschlossen wurde (nur für abgeschlossene Anfragen verfügbar)
          nullable: true
          type: string
        createdUtc:
          description: Datum und Uhrzeit (UTC), zu denen die Anfrage gesendet wurde
          format: date-time
          type: string
        filters:
          description: >-
            Alle Filterparameter, die für die Berichtserstellung angegeben
            wurden
          nullable: true
        requestId:
          description: Die eindeutige Kennung der Anfrage zur Berichtserstellung
          format: uuid
          type: string
        status:
          allOf:
            - $ref: '#/components/schemas/ReportRequestStatus'
          description: Aktueller Status der Anfrage
        totalFileCount:
          description: >-
            Anzahl der Ergebnisdateien im Falle einer erfolgreich
            abgeschlossenen Verarbeitung

            Auf die Ergebnisdateien kann über ihre Indizes zugegriffen werden
          nullable: true
          type: string
      type: object
    ReportRequestStatus:
      enum:
        - New
        - Queued
        - Processing
        - Succeeded
        - Failed
        - Cancelled
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````